using System.Collections.Generic;
using System.IO;
using System.Threading.Tasks;
using Props.Shop.Adafruit.Api;
using Props.Shop.Framework;
using Xunit;

namespace Props.Shop.Adafruit.Tests.Api
{
    public class ProductListingManagerTest
    {
        [Fact]
        public async Task TestSearch()
        {
            ProductListingManager mockProductListingManager = new ProductListingManager();
            mockProductListingManager.SetListingsData(File.ReadAllText("./Assets/products.json"));
            List<ProductListing> results = new List<ProductListing>();
            await foreach (ProductListing item in mockProductListingManager.Search("arduino", 0.5f))
            {
                results.Add(item);
            }
            Assert.NotEmpty(results);
        }
    }
}